Foxit PDF Conversion SDK

Public Member Functions | List of all members
FoxitPDFConversionSDKPython3.WStringArray Class Reference

Inherits FoxitPDFConversionSDKPython3._object.

## Public Member Functions
def | WStringArray ()
| Constructor. More...
def | Add (element)
| Add an element to the end of current array. More...
def | GetAt (index)
| Retrieve a copy of the element at position specified by index in current array. More...
def | GetSize ()
| Get the size of elements in current array. More...
def | InsertAt (index, element)
| Insert an element before the position specified by index. More...
def | RemoveAll ()
| Remove all the element from current array. More...
def | RemoveAt (index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of WString objects.

## Constructor & Destructor Documentation

## ◆ WStringArray()

def FoxitPDFConversionSDKPython3.WStringArray.WStringArray | ( |  | ) |

Constructor.

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

def FoxitPDFConversionSDKPython3.WStringArray.Add | ( |  | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

def FoxitPDFConversionSDKPython3.WStringArray.GetAt | ( |  | index | ) |

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

def FoxitPDFConversionSDKPython3.WStringArray.GetSize | ( |  | ) |

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

def FoxitPDFConversionSDKPython3.WStringArray.InsertAt | ( |  | index,
|  |  | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ RemoveAll()

def FoxitPDFConversionSDKPython3.WStringArray.RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

def FoxitPDFConversionSDKPython3.WStringArray.RemoveAt | ( |  | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.